JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
OSCReceiver::MessageLoopCallback Struct Reference

Use this struct as the template parameter for Listener and ListenerWithOSCAddress to receive incoming OSC data on the message thread. More...

`#include <juce_OSCReceiver.h>`

## Detailed Description

Use this struct as the template parameter for Listener and ListenerWithOSCAddress to receive incoming OSC data on the message thread.

This should be used by OSC callbacks that are not realtime-critical, but have significant work to do, for example updating Components in your app's user interface.

This is the default type of OSC listener.

The documentation for this struct was generated from the following file:

- juce_OSCReceiver.h